\documentclass{zettel2}

\usepackage{xltabular}

\pagestyle{empty}

\DTLloaddb{chiefs}{chiefs/chiefs.csv}
\DTLloaddb{fchiefs}{chiefs/fraktivitaeten_chiefs.csv}

\begin{document}

    {\Huge \textbf{Chief-Aufgaben}}

    \rowcolors{1}{gray!20}{white}
    \begin{xltabular}{\textwidth}{|X|X|}
        \hline
        \rowcolor{gray!40}
        \textbf{Chief-Aufgabe} & \textbf{Betreuer:innen}\\
        \hline
        \endhead
        \noalign\bgroup
        \DTLforeach{chiefs}{%
            \task=Chief,%
            \teachers=Betreuer:innen%
        }{%
            \egroup \task & \teachers \\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{xltabular}

    \clearpage

    {\Huge \textbf{Fraktivitäten-Chiefs}}

    \rowcolors{1}{gray!20}{white}
    \begin{xltabular}{\textwidth}{|X|X|}
        \hline
        \rowcolor{gray!40}
        \textbf{Fraktivitäten-Chiefs} & \textbf{Betreuer:innen}\\
        \hline
        \endhead
        \noalign\bgroup
        \DTLforeach{fchiefs}{%
            \task=Chief,%
            \teachers=Betreuer:innen%
        }{%
            \egroup \task & \teachers \\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{xltabular}

\end{document}
